interfaces Library: KScriptManager Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KScriptManager Class Reference

This class is the base for all script engines. More...

`#include <scriptmanager.h>`

Inheritance diagram for KScriptManager:

[legend]
Collaboration diagram for KScriptManager:

[legend]
List of all members.

## Public Slots
void | runScript (const QString &scriptName, QObject *context=0, const QVariant &arg=0)
## Signals
void | scriptError (const QString &msg)
void | scriptWarning (const QString &msg)
void | scriptOutput (const QString &msg)
void | scriptProgress (int percent)
void | scriptDone (KScriptClientInterface::Result result, const QVariant &returned)
## Public Member Functions
| KScriptManager (QObject *parent, const char *name)
virtual | ~KScriptManager ()
bool | addScript (const QString &scriptDesktopFile)
bool | removeScript (const QString &scriptName)
QStringList | scripts ()
void | clear ()
void | error (const QString &msg)
void | warning (const QString &msg)
void | output (const QString &msg)
void | progress (int percent)
void | done (KScriptClientInterface::Result result, const QVariant &returned)
## Protected Attributes
QDict< ScriptInfo > | m_scripts
QDict< KScriptInterface > | m_scriptCache
QString | m_currentScript
## Friends
class | KScriptInterface

## Detailed Description

This class is the base for all script engines.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 39 of file scriptmanager.h.

## Constructor & Destructor Documentation

KScriptManager::KScriptManager | ( | QObject * | parent,
|  | const char * | name
| ) |

| Create a new instance of the script engine. Definition at line 28 of file scriptmanager.cpp.

KScriptManager::~KScriptManager | ( |  | ) | `[virtual]`

| Destroy the current script engine. Definition at line 33 of file scriptmanager.cpp. References QDict::setAutoDelete().

## Member Function Documentation

bool KScriptManager::addScript | ( | const QString & | scriptDesktopFile | ) |

| Add a new script instance to the script engine. This should be the full name and path to the desktop file. Definition at line 39 of file scriptmanager.cpp. References QDict::insert(), KDesktopFile::isDesktopFile(), locate(), KConfigBase::readEntry(), KDesktopFile::readName(), and KDesktopFile::readType().

bool KScriptManager::removeScript | ( | const QString & | scriptName | ) |

| Remove a script instance from the script engine. Returns: the success of the operation. Definition at line 61 of file scriptmanager.cpp. References QDict::remove().

QStringList KScriptManager::scripts | ( |  | ) |

| Access the names of script instances from the script engine. Returns: a QStringList of the current scripts. Definition at line 67 of file scriptmanager.cpp. References QDictIterator::current(), and QDictIterator::currentKey().

void KScriptManager::clear | ( |  | ) |

| Clear all script intstances in memory. Definition at line 79 of file scriptmanager.cpp. References QDict::clear().

void KScriptManager::error | ( | const QString & | msg | ) | `[inline, virtual]`

| This function will allow the main application of any errors that have occurred during processing of the script. Implements KScriptClientInterface. Definition at line 76 of file scriptmanager.h.

void KScriptManager::warning | ( | const QString & | msg | ) | `[inline, virtual]`

| This function will allow the main application of any warnings that have occurred during the processing of the script. Implements KScriptClientInterface. Definition at line 81 of file scriptmanager.h.

void KScriptManager::output | ( | const QString & | msg | ) | `[inline, virtual]`

| This function will allow the main application of any normal output that has occurred during the processing of the script. Implements KScriptClientInterface. Definition at line 86 of file scriptmanager.h.

void KScriptManager::progress | ( | int | percent | ) | `[inline, virtual]`

| This function will allow feedback to any progress bars in the main application as to how far along the script is. This is very useful when a script is processing files or doing some long operation that is of a known duration. Implements KScriptClientInterface. Definition at line 93 of file scriptmanager.h.

void KScriptManager::done | ( | KScriptClientInterface::Result | result,
|  | const QVariant & | returned
| ) | `[inline, virtual]`

| This function will allow feedback on completion of the script. It turns the result as a KScriptInteface::Result, and a return value as a QVariant Implements KScriptClientInterface. Definition at line 99 of file scriptmanager.h.

void KScriptManager::runScript | ( | const QString & | scriptName,
|  | QObject * | context = `0`,
|  | const QVariant & | arg = `0`
| ) | `[slot]`

| Run the selected script. Definition at line 84 of file scriptmanager.cpp. References endl(), QDict::insert(), kdDebug(), QDict::remove(), and KMessageBox::sorry().

void KScriptManager::scriptError | ( | const QString & | msg | ) | `[signal]`

| Send out a signal of the error message from the current running script.

void KScriptManager::scriptWarning | ( | const QString & | msg | ) | `[signal]`

| Send out a signal of the warning message from the current running script.

void KScriptManager::scriptOutput | ( | const QString & | msg | ) | `[signal]`

| Send out a signal of the output message from the current running script.

void KScriptManager::scriptProgress | ( | int | percent | ) | `[signal]`

| Send out a signal of the progress of the current running script.

void KScriptManager::scriptDone | ( | KScriptClientInterface::Result | result,
|  | const QVariant & | returned
| ) | `[signal]`

| Send out a signal of the exit status of the script.

The documentation for this class was generated from the following files:

- scriptmanager.h
- scriptmanager.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:05 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003